Bug 193691 - Update fails
Update fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-31 13:12 EDT by Helle Jeppesen
Modified: 2014-01-21 17:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 16:44:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Helle Jeppesen 2006-05-31 13:12:37 EDT
Description of problem:

After i have installed KDE WEB development pack, the software update fails, with
the following error:

Component: Software Updater
Summary: TBfef41469 versionlock.py:45:exclude_hook:PluginYumExit: Unable to read
version lock configuration: [Errno 5] OSError: [Errno 2] Ingen sådan fil eller
filkatalog: '/etc/yum/pluginconf.d/versionlock.list'

Traceback (most recent call last):
  File "/usr/sbin/pup", line 389, in ?
    main()
  File "/usr/sbin/pup", line 385, in main
    pup.run()
  File "/usr/sbin/pup", line 357, in run
    self.doRefresh()
  File "/usr/sbin/pup", line 161, in doRefresh
    self.reposSetup(pbar)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 154, in reposSetup
    self.doSackSetup()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 299, in doSackSetup
    self.plugins.run('exclude')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 164, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/versionlock.py", line 45, in exclude_hook
    raise PluginYumExit('Unable to read version lock configuration: %s' % e)
PluginYumExit: Unable to read version lock configuration: [Errno 5] OSError:
[Errno 2] Ingen sådan fil eller filkatalog: '/etc/yum/pluginconf.d/versionlock.list'

Local variables in innermost frame:
conduit: <yum.plugins.MainPluginConduit instance at 0xb5ec0cac>
e: [Errno 5] OSError: [Errno 2] Ingen sådan fil eller filkatalog:
'/etc/yum/pluginconf.d/versionlock.list'
locklist: []
location: /etc/yum/pluginconf.d/versionlock.list

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-06-04 14:58:43 EDT
Does /etc/yum/pluginconf.d/versionlock.list exist?
Comment 2 Helle Jeppesen 2006-06-04 15:13:48 EDT
(In reply to comment #1)
> Does /etc/yum/pluginconf.d/versionlock.list exist?

No the file is missing. 
And I have no idear why it sudently is missing.
Comment 3 Jeremy Katz 2006-09-18 16:44:54 EDT
This has been fixed in the yum-versionlock plugin by having a default (blank) config

Note You need to log in before you can comment on or make changes to this bug.